Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83592 - (NET TG3)SuperMicro P4DL6 locks up on network data transfers
Summary: (NET TG3)SuperMicro P4DL6 locks up on network data transfers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-05 20:54 UTC by bil_hendrix
Modified: 2013-07-03 02:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-09 13:51:15 UTC


Attachments (Terms of Use)

Description bil_hendrix 2003-02-05 20:54:26 UTC
Description of problem:

I have a SuperMicro P4DL6 dual-Xeon server with RedHat 7.3 that is locking up 
on me, while doing network data transfer tests (on either the gigabit or 
100baseT interfaces).  At the suggestion of someone who encountered similar 
probs, I installed an updated RedHat smp kernel 2.4.18-19.7.x, 
appended "noapic" to lilo, and updated the AMI BIOS to Rev. 1.1, using the 
following settings in the new BIOS (after loading the optimal defaults):

CHIPSET
- Mem Timing -> Auto
- MPS 1.4 Support -> Enabled
- Hyperthreading -> Enabled
- Watchdog -> Disabled

PCI PnP
- PnP O/S -> No
- Reset Config Data -> Yes
- Allocate IRQ to PCI VGA -> No
- PCI IDE Busmastering -> Disabled

POWER
- ACPI Aware O/S -> No
- Power Management -> Disabled


but I am still experiencing lock-ups, when doing file transfers b/t two of 
these identical servers. 


Version-Release number of selected component (if applicable):
2.4.18-3smp and 2.4.18-19.7.xsmp

How reproducible:
Every time.

Steps to Reproduce:
1. network two p4dl6 servers together
2. continuously stream data over a random unused port from one machine to the 
other (i am using port 2000).
3. wait.  before my kernel/bios updates, it took about a week to lock up, and 
after the updates, almost instantly.
    
Actual results:
One of the two machines always locks up, and never the other one.  sometimes, 
it is the receiving server that locks up, and sometimes it is the one 
initiating the data transfer.

Expected results:
no locking up!

Additional info:
I expect this is a motherboard/serverworks chipset issue, but supermicro has no 
solutions, apart from the latest BIOS update, which i've already installed.  i 
am hoping others have experienced this w/7.3 and have come up w/workarounds.

Comment 1 Alan Cox 2003-06-08 16:20:35 UTC
Hopefully resolved in current errata. Can you confirm it is ok for you now ?


Comment 2 bil_hendrix 2003-06-09 13:45:26 UTC
Yes, fixed.  I believe it was RH kernel 2.4.18-24 that did the trick for me.  
You can squish this bug.  

Thanks for following up,

- bill


Note You need to log in before you can comment on or make changes to this bug.